{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "sentieon",
                "driver"
            ],
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#bqsr.cwl/advanced_options"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--after"
                    },
                    "id": "#bqsr.cwl/after"
                },
                {
                    "type": "string",
                    "default": "QualCal",
                    "inputBinding": {
                        "position": 100,
                        "prefix": "--algo"
                    },
                    "id": "#bqsr.cwl/algo"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--before"
                    },
                    "id": "#bqsr.cwl/before"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-i"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#bqsr.cwl/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "--interval",
                        "position": 10
                    },
                    "id": "#bqsr.cwl/interval"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-k"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#bqsr.cwl/known_sites"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--merge"
                    },
                    "id": "#bqsr.cwl/merge"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--qcal"
                    },
                    "id": "#bqsr.cwl/other_qcal"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 150
                    },
                    "id": "#bqsr.cwl/output_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "inputBinding": {
                        "position": 180
                    },
                    "id": "#bqsr.cwl/part_output"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 110,
                        "prefix": "--plot"
                    },
                    "id": "#bqsr.cwl/plot"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ],
                            "inputBinding": {
                                "prefix": "-q"
                            }
                        }
                    ],
                    "inputBinding": {
                        "position": 10
                    },
                    "id": "#bqsr.cwl/qcal"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 10,
                        "prefix": "-r"
                    },
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#bqsr.cwl/reference"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--shard",
                        "position": 10
                    },
                    "id": "#bqsr.cwl/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#bqsr.cwl/threads"
                }
            ],
            "stderr": "bqsr.log",
            "id": "#bqsr.cwl",
            "outputs": [
                {
                    "type": "File",
                    "id": "#bqsr.cwl/log",
                    "outputBinding": {
                        "glob": "bqsr.log"
                    }
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.output_file)"
                    },
                    "id": "#bqsr.cwl/output"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "ScatterFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                },
                {
                    "class": "StepInputExpressionRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "ResourceRequirement",
                    "coresMin": "$(inputs.threads)"
                }
            ],
            "inputs": [
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": "string"
                        }
                    ],
                    "inputBinding": {
                        "position": 110
                    },
                    "id": "#main/advanced_options"
                },
                {
                    "type": [
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".bai"
                    ],
                    "id": "#main/input_bam"
                },
                {
                    "type": [
                        "null",
                        "string",
                        "File"
                    ],
                    "id": "#main/interval"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "secondaryFiles": [
                        ".tbi"
                    ],
                    "id": "#main/known_sites"
                },
                {
                    "type": "string",
                    "id": "#main/output_file"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "array",
                            "items": [
                                "string",
                                "File"
                            ]
                        }
                    ],
                    "id": "#main/qcal"
                },
                {
                    "type": [
                        "string",
                        "File"
                    ],
                    "secondaryFiles": [
                        ".fai"
                    ],
                    "id": "#main/reference"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "id": "#main/shard"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-t",
                        "position": 10
                    },
                    "id": "#main/threads"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/merge/output",
                    "id": "#main/output"
                }
            ],
            "steps": [
                {
                    "in": [
                        {
                            "default": ".table",
                            "id": "#main/bqsr/_ext"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/bqsr/_output"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/bqsr/_shard"
                        },
                        {
                            "source": "#main/advanced_options",
                            "id": "#main/bqsr/advanced_options"
                        },
                        {
                            "source": "#main/input_bam",
                            "id": "#main/bqsr/input_bam"
                        },
                        {
                            "source": "#main/interval",
                            "id": "#main/bqsr/interval"
                        },
                        {
                            "source": "#main/known_sites",
                            "id": "#main/bqsr/known_sites"
                        },
                        {
                            "source": "#main/shard",
                            "linkMerge": "merge_flattened",
                            "valueFrom": "${\n  var len = inputs._shard.length;\n  var i = 0;\n  for (; i < len; ++i) {\n     if (self == inputs._shard[i])\n       break;\n  }\n  return inputs._output + \"_part_\" + i + inputs._ext;\n}\n",
                            "id": "#main/bqsr/output_file"
                        },
                        {
                            "source": "#main/qcal",
                            "id": "#main/bqsr/qcal"
                        },
                        {
                            "source": "#main/reference",
                            "id": "#main/bqsr/reference"
                        },
                        {
                            "source": "#main/shard",
                            "id": "#main/bqsr/shard"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/bqsr/threads"
                        }
                    ],
                    "out": [
                        "#main/bqsr/output"
                    ],
                    "scatter": [
                        "#main/bqsr/shard",
                        "#main/bqsr/output_file"
                    ],
                    "scatterMethod": "dotproduct",
                    "run": "#bqsr.cwl",
                    "id": "#main/bqsr"
                },
                {
                    "in": [
                        {
                            "valueFrom": "${ return true; }",
                            "id": "#main/merge/merge"
                        },
                        {
                            "source": "#main/output_file",
                            "id": "#main/merge/output_file"
                        },
                        {
                            "source": "#main/bqsr/output",
                            "id": "#main/merge/part_output"
                        },
                        {
                            "source": "#main/threads",
                            "id": "#main/merge/threads"
                        }
                    ],
                    "out": [
                        "#main/merge/output"
                    ],
                    "run": "#bqsr.cwl",
                    "id": "#main/merge"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
